WordPress.org

Ready to get started?Download WordPress

Forums

Which WordPress? (18 posts)

  1. Shari
    Member
    Posted 7 years ago #

    I was hoping I could get some pointers or advice about what I assume are several different "branches" of WordPress. I've browsed the forums and trawled through the release announcement posts and I'm just not sure what the difference/advantage is to having 2.0.x, 2.1.x, or 2.2. I saw that 2.0.x will be maintained until 2010, but will 2.1.x be supported? Can anyone explain it, or is there a link to somewhere I could read about it? I've been told off :-) for having 1.5.31. I know I need to upgrade, but I'm so out of date I don't even know which one!

    Here are the specs of my host:
    PHP Version 4.4.1
    mySQL Version 12.22 Distrib 4.0.27

    Very much appreciate the help!

  2. whooami
    Member
    Posted 7 years ago #

    ignore 2.1 .. the last release had a hole, and they jumped to 2.2

    you're left dealing with 2.0x, of which the latest is 2.0.9, or 2.2, of which the latest is simply 2.2

    2.1 and now 2.2 had code that was different enough from 2.0 that they called it a different branch.

    2.0.9 is publicly secure, as is 2.2.

    All that could change in 2.0.3.1.45 days. :P

    The simplest and least painful upgrade for you, would be to 2.0.9 since the code in that most resembles what you are currently using.

  3. Shari
    Member
    Posted 7 years ago #

    OK, thank you so much for that explanation.

    Do I need to do the upgrades by steps? From 1.5.3 to 2.0, then then to 2.0.1, and so on? Or can I download 2.0.9 and do the upgrade in one step?

  4. whooami
    Member
    Posted 7 years ago #

    No, you can jump from 1.5.x to 2.0.9 the last digit represents minor changes -- 2.0.1 is only minorly different from 2.0.9

    Just make sure you backup your database, and disable ALL of your plugins, and do not overwrite files. Delete than upload. :)

    http://codex.wordpress.org/Upgrading_WordPress#Detailed_Instructions

  5. moshu
    Member
    Posted 7 years ago #

    There are two branches:
    2.0.x and 2.1/2.2
    (2.1 had security upgrades... 2.1.3 was the last one but it is advised to upgrade to 2.2 if you have that one).

    2.0.x will be supported for several years.

    The split happened when the 2.0 and 2.1 appeared in the same time.

    The two branches have different server requirements.

  6. whooami
    Member
    Posted 7 years ago #

    The two branches have different server requirements.

    among other things, changed sql statements that break plugins that have worked for years...

    more and more ajax ...

  7. Shari
    Member
    Posted 7 years ago #

    Moshu: Thanks for further explaining the branches and the reasons for them. I feel more in touch now. :-)

    Whooami: Thanks so much for your help. Hopefully this upgrade will fix my commenting problem and any security issues. If not, I look forward to your help after the upgrade.

    I feel like a little kid on the big diving board. ;-)

  8. Shari
    Member
    Posted 7 years ago #

    Upgraded to 2.0.9 and was shocked. It's all working, it looks like! Not sure about the comments since I can't seem to comment as a guest, but we'll see!

    Thanks again... if anyone has the time, could you possibly wander over to http://www.thewordens.org/openup and try to leave a comment?

  9. MichaelH
    Member
    Posted 7 years ago #

    I believe 2.0.10 is the latest version in the 2.0.x family.

    Of course when you look for it on this page:
    http://wordpress.org/download/release-archive/

    it is listed just after 2.0.1, not 2.0.9.

  10. Shari
    Member
    Posted 7 years ago #

    Oh, booger. I never even saw that.

  11. DianeV
    Member
    Posted 7 years ago #

    Shari, it's not a big problem to upgrade to 2.0.10, especially given that you've just upgraded and lived to tell the tale. :)

    At any rate, I saw your blog post where you were considering doing a backup (text file?) of your site. I may not understand what you meant by that, but it's always extremely helpful (and comforting) to have a copy of your website files and of the database (databasedump) on hand. Too many copies is better than none at all.

  12. Shari
    Member
    Posted 7 years ago #

    OK, I'll do that then, before I tweak more things on the site.

    What I meant by a text back-up was just to go and put each post's content into a text file. I wonder if there would be a plug in that could render posts as plain text in the browser window or even as a file. It sounds pretty backwards, but I was thinking in terms of a database backup being corrupted or something... worst-case scenario, what if nothing worked, ever again kind of thing... then the text would at least be saved. But I have over 500 posts, so converting them to text won't be happening anytime soon!

  13. DianeV
    Member
    Posted 7 years ago #

    Okay. I would use something like WebStripper to download all pages of the site, although that might take some juice from your web server ... but at least you'd have everything.

    I pretty much use databasedumps; however, where the database is pretty large, it's probably safest to SSH into the server to do it manually. If you don't know what that is, perhaps you can get someone to help you.

  14. Dgold
    Member
    Posted 7 years ago #

    I didn't realize how much of a "branch" 2.1+ is.

    See, I was on 2.0.x, and I was busy with school when 2.1 came out & wasn't reading the forums then. When summer started, I looked here and saw 2.2, and the description of it pretty much said there's a security issue and everyone needs to upgrade now. That was the impression I got. So I went to 2.2 pronto. Now I am questioning that decision, it's been a bit of a hassle to change my template tags to make my theme work for 2.2.

  15. whooami
    Member
    Posted 7 years ago #

    oops yes, dgold is right, 2.0.10 is the latest in the 2.0 branch.

    dgold, you and alot of other ppl upgraded to 2.1 or 2.2 without really needing to.

    It's not that long ago so I distinctly remember that brightly colored NEW!! image in the upper right hand corner of one of the pages on this site prompting everyone to upgrade to 2.1 -- with very little explanation of why they 'needed' to.

    and in fact, they didn't need to.

  16. Shari
    Member
    Posted 7 years ago #

    I made it! I don't know if it was too much traffic for one night, but I kept getting socket errors and timing out on my host as I deleted/uploaded files, so it took a while. But it's done. I really hope someone can drop by and help me test the commenting soon!

    Dgold, I was in school as well and just did not have the time. I was also alarmed by how many complaints 2.0 got when it was first released, and I'll admit to being so happy and comfy with my blog I didn't want to change anything! Then when things slowed down, all the different upgrades just added to my consternation, but thanks to some great advice from Whooami, I have the version that seems to have impacted the site the least, and I like it that way!

  17. whooami
    Member
    Posted 7 years ago #

    congratulations! I see a comment :)

  18. Shari
    Member
    Posted 7 years ago #

    Whooami, thank you! I am ecstatic to report that the upgrades have gone without a hitch. Nothing seems broken except the new theme I had wanted to use, but that's a compatibility issue with Spam Karma 2.3.

    Thanks so much for the advice and for the test comment!

    Next weekend's projects will be upgrading my volunteer sites! Now that I know it's not such a big bad wolf after all, I'm actually excited about it. :)

Topic Closed

This topic has been closed to new replies.

About this Topic